Package org.jbpm.casemgmt.impl.model.instance

## Class CaseRoleInstanceImpl

- java.lang.Object
- - org.jbpm.casemgmt.impl.model.instance.CaseRoleInstanceImpl

- All Implemented Interfaces:
    `Serializable`, `CaseRoleInstance`

      public class CaseRoleInstanceImpl
      extends Object
      implements CaseRoleInstance, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CaseRoleInstanceImpl​(String roleName, Integer cardinality)` |
    `CaseRoleInstanceImpl​(String roleName, Collection<org.kie.api.task.model.OrganizationalEntity> roleAssignments)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addRoleAssignment​(org.kie.api.task.model.OrganizationalEntity entity)` |
    `Collection<org.kie.api.task.model.OrganizationalEntity>` | `getRoleAssignments()` | Returns collection of assignments for this case role instance.
    `String` | `getRoleName()` | Returns case role name this instance is associated with.
    `void` | `removeRoleAssignment​(org.kie.api.task.model.OrganizationalEntity entity)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CaseRoleInstanceImpl

          public CaseRoleInstanceImpl​(String roleName,
                                      Integer cardinality)

    - #### CaseRoleInstanceImpl

          public CaseRoleInstanceImpl​(String roleName,
                                      Collection<org.kie.api.task.model.OrganizationalEntity> roleAssignments)

  - ### Method Detail

    - #### getRoleName

          public String getRoleName()

      Description copied from interface: `CaseRoleInstance`
      Returns case role name this instance is associated with.
      Specified by:
        `getRoleName` in interface `CaseRoleInstance`
      Returns:

    - #### getRoleAssignments

          public Collection<org.kie.api.task.model.OrganizationalEntity> getRoleAssignments()

      Description copied from interface: `CaseRoleInstance`
      Returns collection of assignments for this case role instance.
      Specified by:
        `getRoleAssignments` in interface `CaseRoleInstance`
      Returns:

    - #### addRoleAssignment

          public void addRoleAssignment​(org.kie.api.task.model.OrganizationalEntity entity)

    - #### removeRoleAssignment

          public void removeRoleAssignment​(org.kie.api.task.model.OrganizationalEntity entity)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`